### 8.7 `wcscat`—concatenate two wide-character strings ¶

Synopsis

    #include <wchar.h>
    wchar_t *wcscat(wchar_t *__restrict s1,
        const wchar_t *__restrict s2);

Description
The `wcscat` function appends a copy of the wide-character string pointed to by s2 (including the terminating null wide-character code) to the end of the wide-character string pointed to by s1. The initial wide-character code of s2 overwrites the null wide-character code at the end of s1. If copying takes place between objects that overlap, the behaviour is undefined.

Returns
The `wcscat` function returns s1; no return value is reserved to indicate an error.

Portability
`wcscat` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.